{% for student in students %}

    {% if group_by %}
        {% if not loop.previtem or loop.previtem[group_by] != student[group_by] %}
            {% if loop.previtem %}
                </div>
            {% endif %}
            {% if student[group_by] %}
<h2 id="group-{{student[group_by]|lower}}" class="line-centered faint header-{{group_by|replace('_', '-')}}">{{student[group_by]}}</h2>
            {% endif %}
            <div class="people" id="queue-{{student[group_by]|lower}}">

            {% if group_by == 'teacher_short_name' and student[group_by] == current_user.short_name %}
            <script>
                let peopleE = document.currentScript.parentNode;
                peopleE.style.backgroundImage = 'repeating-linear-gradient(-45deg, #4843 0px, #4840 3px, #8883 6px)';
                peopleE.scrollIntoView({block: 'center', inline: 'center'});
                addEventListener('load', function() {
                    peopleE.scrollIntoView({block: 'center', inline: 'center'});
                });
            </script>
            {% elif not show_others and group_by == 'teacher_short_name' %}
            <script>
                document.currentScript.parentNode.style = "display: none;"
            </script>
            {% endif %}
        {% endif %}
    {% else %}
        {% if not loop.previtem  %}
            <div class="people">
        {% endif %}
    {% endif %}

    <div class="person {{'online' if student.online else 'away' if student.online==False else ''}}" style="view-transition-name: person-{{student.short_name}};background-image: linear-gradient(to bottom, rgba(0,0,0,0.4), rgba(0,0,0,0)), url({{student.avatar}});">
        {% if filter_by %}
            <script>
                document.currentScript.parentNode.style.display = "none";
            </script>
            {% set tags_str = student.tags | join(',') %}
            {% for filter in filter_by %}
                {% if filter in tags_str %}
                <script>
                    document.currentScript.parentNode.style.display = "flex";
                </script>
                {% endif %}
            {% endfor %}
        {% endif %}
        
        <a class="name" href="{{ url_for('user_profile', short_name=student.short_name) }}">
            {{student.short_name}}
        </a>
        {% if student.tags %}
            <div class="tags">
                {% for tag in student.tags %}
                    {% if tag.split(':')[1][0] == "*" %}
                        <div class="tag is-{{tag.split(':')[1][1:]}} blink">{{tag.split(':')[0]}}</div>
                    {% elif tag.split(':')[2] %}
                        <a href="{{tag.split(':')[2]}}" class="tag is-{{tag.split(':')[1]}}">{{tag.split(':')[0]}}</a>
                    {% else %}
                        <div class="tag is-{{tag.split(':')[1]}}">{{tag.split(':')[0]}}</div>
                    {% endif %}
                {% endfor %}
            </div>
        {% endif %}
    </div>
{% else %}

    <h2>Empty!</h2>
    <div>

{% endfor %}
</div>
